package com.sqx.modules.resumes.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.resumes.entity.PostDetails;
import com.sqx.modules.resumes.entity.RuleClassify;
import org.junit.Rule;

import java.util.List;

public interface RuleClassifyService extends IService<RuleClassify> {


    Result addClassify(RuleClassify ruleClassify);

    List<RuleClassify> getClassifyList(RuleClassify classify);

    IPage<RuleClassify> adminGetClassifyList(Integer page, Integer limit, RuleClassify classify);


    IPage<RuleClassify> adminGetParentId(Integer page, Integer limit, RuleClassify classify);

    Result updateClassify(RuleClassify ruleClassify);

    Result deleteClassify(Long intentionId);

    List<RuleClassify> userGetClassify(RuleClassify classify);

    List<String> getClassifyHasTitle(Long ruleClassifyId);
}
